# Package org.firebirdsql.jaybird.props

APIs and constants for connection properties for attachments to a Firebird database or service API.

See: Description

Interface Summary
AttachmentProperties: Attachment properties shared by database and service connections.
BaseProperties: Base of the properties hierarchy; provides common API for setting properties by name.
DatabaseConnectionProperties: Properties for database connections.
ServiceConnectionProperties: Properties for services.

Class Summary
PropertyConstants: Property constants.
PropertyNames: Property names and aliases used by Jaybird.

Enum Summary
DpbType: Identifies the database (or service attach) parameter buffer type of a connection property.

Exception Summary
InvalidPropertyValueException: Exception thrown when a connection property has an invalid value.

## Package org.firebirdsql.jaybird.props Description

APIs and constants for connection properties for attachments to a Firebird database or service API.

Since:
  5